# Get reseller consumption

Retrieve the monthly license consumption for all direct customer workspaces attached to a reseller.

## Endpoint

<mark style="color:blue;">`GET`</mark> `https://api.signitic.app/reseller/consumption`

## Headers

| Name                                        | Type   | Description            |
| ------------------------------------------- | ------ | ---------------------- |
| x-api-key<mark style="color:red;">\*</mark> | String | Your reseller API key. |

## Query parameters

| Name         | Type   | Required | Description                      |
| ------------ | ------ | -------- | -------------------------------- |
| start\_month | String | Yes      | Start month in `YYYY-MM` format. |
| end\_month   | String | Yes      | End month in `YYYY-MM` format.   |

## Success response

### Example request

```http
GET /reseller/consumption?start_month=2026-01&end_month=2026-03 HTTP/1.1
Host: api.signitic.app
x-api-key: <your-reseller-api-key>
```

### `200 OK`

```json
[
  {
    "id": "01JQ2X2S6P8C8V8F6F0M6G9R6W",
    "name": "Acme",
    "consumption": {
      "2026-01": 12,
      "2026-02": 12,
      "2026-03": 14
    }
  },
  {
    "id": "01JQ2X6A4Q2JQ1X5HZ6A8V2A0N",
    "name": "Globex",
    "consumption": {
      "2026-01": 3
    }
  }
]
```

Only months with recorded license usage are returned in the `consumption` object.

## Error responses

| Status | Internal code | When                                        |
| ------ | ------------- | ------------------------------------------- |
| 401    | n/a           | The reseller API key is missing or invalid. |
